MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::Int1eCCA Class Reference

Int1eCCA adapts CCA integrals components for use within SC. More...

`#include <int1e.h>`

Inheritance diagram for sc::Int1eCCA:

List of all members.

## Public Member Functions

| Int1eCCA (Integral *integral, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, int order, IntegralEvaluatorFactory, std::string, bool)
double * | buffer ()
void | overlap (int ish, int jsh)
void | overlap_1der (int ish, int jsh, Chemistry_QC_GaussianBasis_DerivCenters &dc)
void | kinetic (int ish, int jsh)
void | kinetic_1der (int ish, int jsh, Chemistry_QC_GaussianBasis_DerivCenters &dc)
void | nuclear (int ish, int jsh)
void | nuclear_1der (int ish, int jsh, Chemistry_QC_GaussianBasis_DerivCenters &dc)
void | hcore (int ish, int jsh)
void | hcore_1der (int ish, int jsh, Chemistry_QC_GaussianBasis_DerivCenters &dc)

## Protected Attributes

Integral * | integral_

## Detailed Description

Int1eCCA adapts CCA integrals components for use within SC.

It is used by OneBodyIntCCA and OneBodyDerivIntCCA to implement the IntegralCCA class.

The documentation for this class was generated from the following file:

- intcca/int1e.h